function [z,x]=chebynodes(a,b,n)
% ChebyNodes - Chebyshev collocation nodes on arbitrary intervals
%
% [z,d]=ChebyNodes(a,b,n)
%
% Input:  [a,b], proper interval
%         n, number of zeros
% Output: z, nx1 vector of nodes in [-1,1];
%         d, nx1 vector of nodes in [a,b].
%
% Author: Marco Maffezzoli. Ver. 2.0.1, 05/2009.
%
%

z=chebyzeros(n);
x=(z+1)*((b-a)/2)+a;

end